=== libslack/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2001 raf <raf@raf.org>
+# Copyright (C) 1999-2004 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20020916 raf <raf@raf.org>
+# 20040102 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -71,6 +71,7 @@
 sol: $(SOL_TARGETS)
 obsd: $(OBSD_TARGETS)
 fbsd: $(FBSD_TARGETS)
+osx: $(OSX_TARGETS)
 
 .PHONY: help help-macros depend clean clobber distclean
 
@@ -98,6 +99,9 @@
 	echo " sol                  -- makes binary solaris package"; \
 	echo " obsd                 -- makes binary openbsd package"; \
 	echo " fbsd                 -- makes binary freebsd package"; \
+	echo " osx                  -- makes binary macosx package"; \
+	echo; \
+	echo " slack.swig           -- makes SWIG input file for libslack"; \
 	echo
 
 help-macros::
@@ -129,7 +133,9 @@
 	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
 	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
 	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
-	echo "BSD_TARGETS = $(BSD_TARGETS)"; \
+	echo "OBSD_TARGETS = $(OBSD_TARGETS)"; \
+	echo "FBSD_TARGETS = $(FBSD_TARGETS)"; \
+	echo "OSX_TARGETS = $(OSX_TARGETS)"; \
 	echo
 
 tags: $(TAG_FILES)
