=== libslack/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # libslack - http://libslack.org/
 #
-# Copyright (C) 1999-2004 raf <raf@raf.org>
+# Copyright (C) 1999-2010 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # or visit http://www.gnu.org/copyleft/gpl.html
 #
 
-# 20040806 raf <raf@raf.org>
+# 20100612 raf <raf@raf.org>
 
 CC := gcc
 # CC := cc
@@ -33,7 +33,13 @@
 PREFIX := $(DESTDIR)/usr/local
 APP_INSDIR := $(PREFIX)/bin
 LIB_INSDIR := $(PREFIX)/lib
-MAN_INSDIR := $(PREFIX)/man
+MAN_SYSDIR := $(PREFIX)/share/man
+MAN_LOCDIR := $(PREFIX)/share/man
+ifeq ($(PREFIX),/usr)
+MAN_INSDIR := $(MAN_SYSDIR)
+else
+MAN_INSDIR := $(MAN_LOCDIR)
+endif
 HDR_INSDIR := $(PREFIX)/include
 DATA_INSDIR := $(PREFIX)/share
 APP_MANSECT := 1
@@ -71,6 +77,7 @@
 sol: $(SOL_TARGETS)
 obsd: $(OBSD_TARGETS)
 fbsd: $(FBSD_TARGETS)
+nbsd: $(NBSD_TARGETS)
 osx: $(OSX_TARGETS)
 
 .PHONY: help help-macros depend clean clobber distclean
@@ -99,6 +106,7 @@
 	echo " sol                  -- makes binary solaris package"; \
 	echo " obsd                 -- makes binary openbsd package"; \
 	echo " fbsd                 -- makes binary freebsd package"; \
+	echo " nbsd                 -- makes binary netbsd package"; \
 	echo " osx                  -- makes binary macosx package"; \
 	echo; \
 	echo " slack.swig           -- makes SWIG input file for libslack"; \
@@ -135,6 +143,7 @@
 	echo "SOL_TARGETS = $(SOL_TARGETS)"; \
 	echo "OBSD_TARGETS = $(OBSD_TARGETS)"; \
 	echo "FBSD_TARGETS = $(FBSD_TARGETS)"; \
+	echo "NBSD_TARGETS = $(NBSD_TARGETS)"; \
 	echo "OSX_TARGETS = $(OSX_TARGETS)"; \
 	echo
