=== debian/changelog ===
daemon (0.6.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:31 +0000

daemon (0.6.4-1) unstable; urgency=low

  * new upstream version
  * vcs is now git
  * source format 3.0 (quilt)
  * add ${misc:Depends} to binary depends
  * Add Homepage field to control file (will be removed from
    description after squeeze release)
  * Standards-Version: 3.8.4 (see changes listed above)
  * doc-base section is now System/Administration
  * remove html man page

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 14 Jun 2010 20:43:04 +0200

daemon (0.6.3-1) unstable; urgency=low

  * new upstream version.
  * add debian/watch.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  7 Aug 2004 08:22:18 +0000

daemon (0.6.2-2) unstable; urgency=low

  * Mention upstream URL in package description		     (Closes: #217812)
  * Fix multiple Build-Depends: line in control file	     (Closes: #217811)
  * these should have been in 0.6.2-1, but cvs didn't like that.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed,  7 Jan 2004 17:27:15 +0000

daemon (0.6.2-1) unstable; urgency=low

  * new upstream version 0.6.2                               (Closes: #225909)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  3 Jan 2004 12:00:21 +0000

daemon (0.6.1-1) unstable; urgency=low

  * new upstream version.
  * Standards-Version: 3.6.1
  * remove debian/conffiles to avoid duplicate conffiles problem
  * shorten long description to make linda happy

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  1 Sep 2003 15:30:34 +0000

daemon (0.6-2) unstable; urgency=low

  * Upstream's unofficial Debian packages are 0.6-1 as well. Bump
    version number to make a difference.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 16 Sep 2002 16:59:48 +0000

daemon (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 16 Sep 2002 16:28:18 +0200
