=== debian/control ===
Source: daemon
Section: utils
Priority: optional
Build-Depends: debhelper (>> 7.0.50~), perl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://www.libslack.org/daemon/
Standards-Version: 3.8.4

Package: daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: turns other processes into daemons
 There are many tasks that need to be performed to correctly set up a
 daemon process. This can be tedious. Daemon performs these tasks for
 other processes. This is useful for writing daemons in languages other
 than C, C++ or Perl (e.g. /bin/sh, Java).
 .
 If you want to write daemons in languages that can link against C functions
 (e.g. C, C++), see libslack which contains the core functionality of daemon.
 .
 Upstream URL: http://www.libslack.org/daemon/
