=== debian/rules ===
#!/usr/bin/make -f

PACKAGENAME=daemon

%:
	dh $@

override_dh_auto_clean:
	-$(MAKE) debian-clobber

override_dh_auto_install:
	$(MAKE) PREFIX=debian/daemon/usr install-daemon-bin
	$(MAKE) PREFIX=debian/daemon/usr install-daemon-man
	$(MAKE) DAEMON_CONFDIR=debian/daemon/etc install-daemon-conf
