=== debian/watch ===
version=2

http://libslack.org/daemon/download/daemon-([0-9\.]*)\.tar\.gz
