=== debian/changelog ===
daemon (0.7-1) unstable; urgency=medium

  * NOT YET RELEASED
  * new upstream version
    * should now build on hurd (Closes: #651263)
    * should handle non-writable pidfiles dir more gracefully
      (Closes: #571205)
    * needs a patch to not delete debian/ on make distclean
    * README is now README.md
  * debhelper 13
  * Standards-Version: 4.5
  * uscan version 4
  * patch to not delete debian/

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 14 Nov 2020 13:43:20 +0100
