=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: daemon
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>> 7.0.50~), perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
+Build-Depends: debhelper (>> 13~), perl
+Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
 Homepage: http://www.libslack.org/daemon/
-Standards-Version: 3.8.4
+Standards-Version: 4.5.0
 
 Package: daemon
 Architecture: any
