=== debian/rules ===
#!/usr/bin/make -f

PACKAGENAME=daemon

%:
	dh $@ --no-parallel

override_dh_auto_install:
	$(MAKE) PREFIX=debian/daemon/usr install
	mkdir -p debian/daemon/etc
	$(MAKE) CONF_INSDIR=$(shell pwd)/debian/daemon/etc install-daemon-conf
