=== debian/changelog ===
daemon (0.8-1) unstable; urgency=medium

  * new upstream version
  * override configure, this is not libtool configure
  * use debhelper-compat
  * add Rules-Requires-Root
  * override insane line length lintian warning

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 24 Nov 2021 09:58:05 +0100
