=== debian/control ===
Source: daemon
Section: utils
Priority: optional
Build-Depends: debhelper-compat (=13), perl
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://www.libslack.org/daemon/
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: turns other processes into daemons
 There are many tasks that need to be performed to correctly set up a
 daemon process. This can be tedious. Daemon performs these tasks for
 other processes. This is useful for writing daemons in languages other
 than C, C++ or Perl (e.g. /bin/sh, Java).
