=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@ --no-parallel
 
+override_dh_auto_configure:
+	./configure --prefix=/usr --enable-logind
+
 override_dh_auto_install:
 	$(MAKE) PREFIX=debian/daemon/usr install
 	mkdir -p debian/daemon/etc
