=== debian/watch ===
version=4

http://libslack.org/daemon/download/daemon-([0-9\.]*)\.tar\.gz
