## daemon 0.8.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# daemon - http://libslack.org/daemon/
+# daemon - https://libslack.org/daemon
 #
-# Copyright (C) 1999-2004, 2010, 2020-2021 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020-2023 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
-
-# 20210304 raf <raf@raf.org>
+# 20230824 raf <raf@raf.org>
+#
 
 CC := gcc
 # CC := cc
@@ -103,17 +103,17 @@
 	echo " uninstall            -- uninstalls everything from $(PREFIX)"; \
 	echo " depend               -- generates source dependencies using makedepend"; \
 	echo " tags                 -- generates a tags file using ctags"; \
-	echo " clean                -- removes object files, tags, core and Makefile.bak"; \
-	echo " clobber              -- clean + rm $(DAEMON_TARGET), $(DAEMON_SUBTARGETS) and tests"; \
-	echo " distclean            -- clobber + rm source dependencies"; \
+	echo " clean                -- removes output files, tags, tests, and de-configures"; \
+	echo " clobber              -- same as clean"; \
+	echo " distclean            -- same as clean"; \
 	echo " dist                 -- makes the distribution: ../$(DAEMON_DIST)"; \
-	echo " rpm                  -- makes source and binary rpm packages"; \
-	echo " deb                  -- makes binary debian package"; \
-	echo " sol                  -- makes binary solaris package"; \
-	echo " obsd                 -- makes binary openbsd package"; \
-	echo " fbsd                 -- makes binary freebsd package"; \
-	echo " nbsd                 -- makes binary netbsd package"; \
-	echo " osx                  -- makes binary macosx package"; \
+	echo " rpm                  -- makes source and binary rpm packages [OLD]"; \
+	echo " deb                  -- makes binary debian package [OLD]"; \
+	echo " sol                  -- makes binary solaris package [OLD]"; \
+	echo " obsd                 -- makes binary openbsd package [OLD]"; \
+	echo " fbsd                 -- makes binary freebsd package [OLD]"; \
+	echo " nbsd                 -- makes binary netbsd package [OLD]"; \
+	echo " osx                  -- makes binary macosx package [OLD]"; \
 	echo
 
 help-macros::
@@ -144,7 +144,6 @@
 	echo "UNINSTALL_TARGETS = $(UNINSTALL_TARGETS)"; \
 	echo "CLEAN_FILES = $(CLEAN_FILES)"; \
 	echo "CLOBBER_FILES = $(CLOBBER_FILES)"; \
-	echo "DEBIAN_CLOBBER_FILES = $(DEBIAN_CLOBBER_FILES)"; \
 	echo "DIST_TARGETS = $(DIST_TARGETS)"; \
 	echo "RPM_TARGETS = $(RPM_TARGETS)"; \
 	echo "DEB_TARGETS = $(DEB_TARGETS)"; \
@@ -162,17 +161,13 @@
 	@makedepend $(DAEMON_CPPFLAGS) $(DEPEND_CFILES)
 
 clean::
-	@rm -rf $(CLEAN_FILES)
+	rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)
+	perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(DAEMON_SRCDIR) $(DAEMON_SUBDIRS))
+	./configure --default
 
-ifeq ($(shell uname -a 2>/dev/null | grep -i Debian),)
-clobber::
-	@rm -rf $(CLEAN_FILES) $(CLOBBER_FILES)
-else
-clobber:: debian-clobber
-endif
+clobber:: clean
 
-distclean:: clobber
-	@perl -pi -e 'last if /[D]O NOT DELETE/;' $(patsubst %, %/Makefile, $(DAEMON_SRCDIR) $(DAEMON_SUBDIRS))
+distclean:: clean
 
 include $(DAEMON_SRCDIR)/rules.mk
