=== libslack/tools/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# libslack - http://libslack.org/
+# libslack - https://libslack.org
 #
-# Copyright (C) 1999-2004, 2010, 2020 raf <raf@raf.org>
+# Copyright (C) 1999-2004, 2010, 2020-2023 raf <raf@raf.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,8 +16,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <https://www.gnu.org/licenses/>.
 #
-
-# 20201111 raf <raf@raf.org>
+# 20230824 raf <raf@raf.org>
+#
 
 prefix := /usr/local
