=== debian/changelog ===
daemon (0.8.4-1) unstable; urgency=medium

  * new upstream version 0.8.4
  * turn off sending of mail in test suite
  * add libsystemd-dev to Build-Depends
    this is necessary to make --enable-logind work. Otherwise,
    logind support is ignored with a warning that is easily overseen
  * now builds source after successful binary build successfully.
    Thanks to Lucas Nussbaum. Closes: #1044910
  * Add DEP-5 copyright file. Closes: #1000492
  * add Vcs and Homepage
  * remove 0.8 workarounds in build process
  * remove no-delete-debian patch, unneeded now
  * use https in debian/watch
  * Standards-Version: 4.6.2 (no changes necessary)
  * include default.mk in debian/rules, enable hardening
  * remove unnecessary lintian overrides

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 30 Aug 2023 19:31:58 +0200
