=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: daemon
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (=13), perl
+Build-Depends: debhelper-compat (=13), perl, libsystemd-dev
 Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Homepage: http://www.libslack.org/daemon/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Homepage: https://libslack.org/daemon/
+Vcs-Browser: https://salsa.debian.org/debian/daemon
+Vcs-Git: https://salsa.debian.org/debian/daemon.git
+
 
 Package: daemon
 Architecture: any
