=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+export DPKG_EXPORT_BUILDFLAGS=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+include /usr/share/dpkg/default.mk
 
 PACKAGENAME=daemon
 
@@ -6,7 +11,7 @@
 	dh $@ --no-parallel
 
 override_dh_auto_configure:
-	./configure --prefix=/usr --enable-logind
+	./configure --prefix=/usr --enable-logind --disable-mail-test
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=debian/daemon/usr install
