=== debian/watch ===
version=4

https://libslack.org/daemon/download/daemon-([0-9\.]*)\.tar\.gz
